Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.mvc.method.annotation
Class ServletRequestDataBinderFactory

    java.lang.Object
      org.springframework.web.bind.support.DefaultDataBinderFactory
          org.springframework.web.method.annotation.InitBinderDataBinderFactory
              org.springframework.web.servlet.mvc.method.annotation.ServletRequestDataBinderFactory

All Implemented Interfaces:
  WebDataBinderFactory

    public class ServletRequestDataBinderFactory

extends InitBinderDataBinderFactory

Creates a `ServletRequestDataBinder`.

Since:
  3.1
Author:
  Rossen Stoyanchev

Constructor Summary
`ServletRequestDataBinderFactory(java.util.List<InvocableHandlerMethod> binderMethods, WebBindingInitializer initializer)` Create a new instance.

Method Summary
`protected ServletRequestDataBinder` | `createBinderInstance(java.lang.Object target, java.lang.String objectName, NativeWebRequest request)` Returns an instance of `ExtendedServletRequestDataBinder`.

Methods inherited from class org.springframework.web.method.annotation.InitBinderDataBinderFactory
`initBinder, isBinderMethodApplicable`

Methods inherited from class org.springframework.web.bind.support.DefaultDataBinderFactory
`createBinder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletRequestDataBinderFactory

    public ServletRequestDataBinderFactory(java.util.List<InvocableHandlerMethod> binderMethods,
                                           WebBindingInitializer initializer)

  Create a new instance.

  Parameters:
    `binderMethods` - one or more `@InitBinder` methods
    `initializer` - provides global data binder initialization

Method Detail

### createBinderInstance

    protected ServletRequestDataBinder createBinderInstance(java.lang.Object target,
                                                            java.lang.String objectName,
                                                            NativeWebRequest request)

  Returns an instance of `ExtendedServletRequestDataBinder`.

  Overrides:
    `createBinderInstance` in class `DefaultDataBinderFactory`
  Parameters:
    `target` - the binding target or `null` for type conversion only
    `objectName` - the binding target object name
    `request` - the current request

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD